Xalan-Java 2.7.1: Class DTMDocument

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.lib.sql
Class DTMDocument

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMDefaultBase
            |
            +--org.apache.xml.dtm.ref.DTMDefaultBaseTraversers
                  |
                  +--org.apache.xml.dtm.ref.DTMDefaultBaseIterators
                        |
                        +--org.apache.xalan.lib.sql.DTMDocument

Direct Known Subclasses:
  SQLDocument, SQLErrorDocument

public class DTMDocument
extends DTMDefaultBaseIterators

The SQL Document is the main controlling class the executesa SQL Query

Inner Class Summary
`static interface` | `DTMDocument.CharacterNodeHandler`

Inner classes inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators
`DTMDefaultBaseIterators.AncestorIterator, DTMDefaultBaseIterators.AttributeIterator, DTMDefaultBaseIterators.ChildrenIterator, DTMDefaultBaseIterators.DescendantIterator, DTMDefaultBaseIterators.FollowingIterator, DTMDefaultBaseIterators.FollowingSiblingIterator, DTMDefaultBaseIterators.InternalAxisIteratorBase, DTMDefaultBaseIterators.NamespaceAttributeIterator, DTMDefaultBaseIterators.NamespaceChildrenIterator, DTMDefaultBaseIterators.NamespaceIterator, DTMDefaultBaseIterators.NthDescendantIterator, DTMDefaultBaseIterators.ParentIterator, DTMDefaultBaseIterators.PrecedingIterator, DTMDefaultBaseIterators.PrecedingSiblingIterator, DTMDefaultBaseIterators.RootIterator, DTMDefaultBaseIterators.SingletonIterator, DTMDefaultBaseIterators.TypedAncestorIterator, DTMDefaultBaseIterators.TypedAttributeIterator, DTMDefaultBaseIterators.TypedChildrenIterator, DTMDefaultBaseIterators.TypedDescendantIterator, DTMDefaultBaseIterators.TypedFollowingIterator, DTMDefaultBaseIterators.TypedFollowingSiblingIterator, DTMDefaultBaseIterators.TypedNamespaceIterator, DTMDefaultBaseIterators.TypedPrecedingIterator, DTMDefaultBaseIterators.TypedPrecedingSiblingIterator, DTMDefaultBaseIterators.TypedRootIterator, DTMDefaultBaseIterators.TypedSingletonIterator`

Fields inherited from class org.apache.xml.dtm.ref.DTMDefaultBase
`DEFAULT_BLOCKSIZE, DEFAULT_NUMBLOCKS, DEFAULT_NUMBLOCKS_SMALL, m_mgr, ROOTNODE`

Constructor Summary
`DTMDocument(DTMManager mgr, int ident)`

Method Summary
`void` | `appendChild(int parm1, boolean parm2, boolean parm3)`
`void` | `appendTextChild(java.lang.String parm1)`
`void` | `dispatchCharactersEvents(int nodeHandle, ContentHandler ch, boolean normalize)`
`void` | `dispatchToEvents(int parm1, ContentHandler parm2)`
`void` | `dumpDTM()`
`int` | `getAttributeNode(int parm1, java.lang.String parm2, java.lang.String parm3)`
`DTMAxisIterator` | `getAxisIterator(int parm1)`
`DTMAxisTraverser` | `getAxisTraverser(int parm1)`
`ContentHandler` | `getContentHandler()`
`DeclHandler` | `getDeclHandler()`
`int` | `getDocument()`
`boolean` | `getDocumentAllDeclarationsProcessed()`
`java.lang.String` | `getDocumentBaseURI()`
`java.lang.String` | `getDocumentEncoding(int parm1)`
`java.lang.String` | `getDocumentStandalone(int parm1)`
`java.lang.String` | `getDocumentSystemIdentifier(int parm1)`
`java.lang.String` | `getDocumentTypeDeclarationPublicIdentifier()`
`java.lang.String` | `getDocumentTypeDeclarationSystemIdentifier()`
`java.lang.String` | `getDocumentVersion(int parm1)`
`DTDHandler` | `getDTDHandler()`
`int` | `getElementById(java.lang.String parm1)`
`EntityResolver` | `getEntityResolver()`
`ErrorHandler` | `getErrorHandler()`
`int` | `getExpandedTypeID(int parm1)`
`int` | `getExpandedTypeID(java.lang.String parm1, java.lang.String parm2, int parm3)`
`int` | `getFirstAttribute(int parm1)`
`int` | `getFirstChild(int parm1)`
`int` | `getFirstNamespaceNode(int parm1, boolean parm2)`
`int` | `getLastChild(int parm1)`
`short` | `getLevel(int parm1)`
`LexicalHandler` | `getLexicalHandler()`
`java.lang.String` | `getLocalName(int parm1)`
`java.lang.String` | `getLocalNameFromExpandedNameID(int parm1)`
`java.lang.String` | `getNamespaceFromExpandedNameID(int parm1)`
`int` | `getNamespaceType(int parm1)`
`java.lang.String` | `getNamespaceURI(int parm1)`
`int` | `getNextAttribute(int parm1)`
`int` | `getNextNamespaceNode(int parm1, int parm2, boolean parm3)`
`int` | `getNextSibling(int parm1)`
`Node` | `getNode(int parm1)`
`java.lang.String` | `getNodeName(int parm1)`
`java.lang.String` | `getNodeNameX(int parm1)`
`short` | `getNodeType(int parm1)`
`java.lang.String` | `getNodeValue(int parm1)`
`int` | `getOwnerDocument(int parm1)`
`int` | `getParent(int parm1)`
`java.lang.String` | `getPrefix(int parm1)`
`int` | `getPreviousSibling(int parm1)`
`SourceLocator` | `getSourceLocatorFor(int node)` No source information is available for DOM2DTM, so return `null` here.
`XMLString` | `getStringValue(int nodeHandle)` Get the string-value of a node as a String object (see http://www.w3.org/TR/xpath#data-model for the definition of a node's string-value).
`char[]` | `getStringValueChunk(int parm1, int parm2, int[] parm3)`
`int` | `getStringValueChunkCount(int parm1)`
`DTMAxisIterator` | `getTypedAxisIterator(int parm1, int parm2)`
`java.lang.String` | `getUnparsedEntityURI(java.lang.String parm1)`
`boolean` | `hasChildNodes(int parm1)`
`boolean` | `isAttributeSpecified(int parm1)`
`boolean` | `isCharacterElementContentWhitespace(int parm1)`
`boolean` | `isDocumentAllDeclarationsProcessed(int parm1)`
`boolean` | `isNodeAfter(int parm1, int parm2)`
`boolean` | `isSupported(java.lang.String parm1, java.lang.String parm2)`
`boolean` | `needsTwoThreads()`
`void` | `setDocumentBaseURI(java.lang.String parm1)`
`void` | `setFeature(java.lang.String parm1, boolean parm2)`
`void` | `setProperty(java.lang.String property, java.lang.Object value)` For the moment all the run time properties are ignored by this class.
`boolean` | `supportsPreStripping()` Event overriding for Debug

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBase
`documentRegistration, documentRelease, dumpDTM, dumpNode, getDocumentRoot, getDTMIDs, getManager, getNodeHandle, getNodeIdent, getTypedFirstChild, getTypedNextSibling, makeNodeHandle, makeNodeIdentity, migrateTo`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTMDocument

    public DTMDocument(DTMManager mgr,
                       int ident)

  Parameters:
    `mgr` -
    `ident` -

Method Detail

### getFirstAttribute

    public int getFirstAttribute(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getFirstAttribute in class DTMDefaultBase

### getNodeValue

    public java.lang.String getNodeValue(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getNodeValue in class DTMDefaultBase

### getStringValue

    public XMLString getStringValue(int nodeHandle)

  Get the string-value of a node as a String object (see http://www.w3.org/TR/xpath#data-model for the definition of a node's string-value).
  Parameters:
    `nodeHandle` - The node ID.
  Returns:
    A string object that represents the string-value of the given node.
  Overrides:
    getStringValue in class DTMDefaultBase

### getNextAttribute

    public int getNextAttribute(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getNextAttribute in class DTMDefaultBase

### dumpDTM

    public void dumpDTM()

### setProperty

    public void setProperty(java.lang.String property,
                            java.lang.Object value)

  For the moment all the run time properties are ignored by this class.
  Parameters:
    `property` - a `String` value
    `value` - an `Object` value

### getSourceLocatorFor

    public SourceLocator getSourceLocatorFor(int node)

  No source information is available for DOM2DTM, so return `null` here.
  Parameters:
    `node` - an `int` value
  Returns:
    null

### getAttributeNode

    public int getAttributeNode(int parm1,
                                java.lang.String parm2,
                                java.lang.String parm3)

  Parameters:
    `parm1` -
    `parm2` -
    `parm3` -
  Overrides:
    getAttributeNode in class DTMDefaultBase

### getLocalName

    public java.lang.String getLocalName(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getLocalName in class DTMDefaultBase

### getNodeName

    public java.lang.String getNodeName(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getNodeName in class DTMDefaultBase

### isAttributeSpecified

    public boolean isAttributeSpecified(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    isAttributeSpecified in class DTMDefaultBase

### getUnparsedEntityURI

    public java.lang.String getUnparsedEntityURI(java.lang.String parm1)

  Parameters:
    `parm1` -
  Overrides:
    getUnparsedEntityURI in class DTMDefaultBase

### getDTDHandler

    public DTDHandler getDTDHandler()

### getPrefix

    public java.lang.String getPrefix(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getPrefix in class DTMDefaultBase

### getEntityResolver

    public EntityResolver getEntityResolver()

### getDocumentTypeDeclarationPublicIdentifier

    public java.lang.String getDocumentTypeDeclarationPublicIdentifier()

  Overrides:
    getDocumentTypeDeclarationPublicIdentifier in class DTMDefaultBase

### getLexicalHandler

    public LexicalHandler getLexicalHandler()

### needsTwoThreads

    public boolean needsTwoThreads()

### getContentHandler

    public ContentHandler getContentHandler()

### dispatchToEvents

    public void dispatchToEvents(int parm1,
                                 ContentHandler parm2)
                          throws SAXException

  Parameters:
    `parm1` -
    `parm2` -
  Throws:
    SAXException -
  Overrides:
    dispatchToEvents in class DTMDefaultBase

### getNamespaceURI

    public java.lang.String getNamespaceURI(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getNamespaceURI in class DTMDefaultBase

### dispatchCharactersEvents

    public void dispatchCharactersEvents(int nodeHandle,
                                         ContentHandler ch,
                                         boolean normalize)
                                  throws SAXException

  Parameters:
    `nodeHandle` -
    `ch` -
    `normalize` -
  Throws:
    SAXException -
  Overrides:
    dispatchCharactersEvents in class DTMDefaultBase

### supportsPreStripping

    public boolean supportsPreStripping()

  Event overriding for Debug
  Overrides:
    supportsPreStripping in class DTMDefaultBase

### getNode

    public Node getNode(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getNode in class DTMDefaultBase

### getPreviousSibling

    public int getPreviousSibling(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getPreviousSibling in class DTMDefaultBase

### getDocumentStandalone

    public java.lang.String getDocumentStandalone(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getDocumentStandalone in class DTMDefaultBase

### getNodeNameX

    public java.lang.String getNodeNameX(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getNodeNameX in class DTMDefaultBase

### setFeature

    public void setFeature(java.lang.String parm1,
                           boolean parm2)

  Parameters:
    `parm1` -
    `parm2` -
  Overrides:
    setFeature in class DTMDefaultBase

### isNodeAfter

    public boolean isNodeAfter(int parm1,
                               int parm2)

  Parameters:
    `parm1` -
    `parm2` -
  Overrides:
    isNodeAfter in class DTMDefaultBase

### getNamespaceType

    public int getNamespaceType(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getNamespaceType in class DTMDefaultBase

### getDocumentVersion

    public java.lang.String getDocumentVersion(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getDocumentVersion in class DTMDefaultBase

### isSupported

    public boolean isSupported(java.lang.String parm1,
                               java.lang.String parm2)

  Parameters:
    `parm1` -
    `parm2` -
  Overrides:
    isSupported in class DTMDefaultBase

### getDocumentEncoding

    public java.lang.String getDocumentEncoding(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getDocumentEncoding in class DTMDefaultBase

### appendChild

    public void appendChild(int parm1,
                            boolean parm2,
                            boolean parm3)

  Parameters:
    `parm1` -
    `parm2` -
    `parm3` -
  Overrides:
    appendChild in class DTMDefaultBase

### getLevel

    public short getLevel(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getLevel in class DTMDefaultBase

### getDocumentBaseURI

    public java.lang.String getDocumentBaseURI()

  Overrides:
    getDocumentBaseURI in class DTMDefaultBase

### getNextNamespaceNode

    public int getNextNamespaceNode(int parm1,
                                    int parm2,
                                    boolean parm3)

  Parameters:
    `parm1` -
    `parm2` -
    `parm3` -
  Overrides:
    getNextNamespaceNode in class DTMDefaultBase

### appendTextChild

    public void appendTextChild(java.lang.String parm1)

  Parameters:
    `parm1` -
  Overrides:
    appendTextChild in class DTMDefaultBase

### getFirstNamespaceNode

    public int getFirstNamespaceNode(int parm1,
                                     boolean parm2)

  Parameters:
    `parm1` -
    `parm2` -
  Overrides:
    getFirstNamespaceNode in class DTMDefaultBase

### getStringValueChunkCount

    public int getStringValueChunkCount(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getStringValueChunkCount in class DTMDefaultBase

### getLastChild

    public int getLastChild(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getLastChild in class DTMDefaultBase

### hasChildNodes

    public boolean hasChildNodes(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    hasChildNodes in class DTMDefaultBase

### getNodeType

    public short getNodeType(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getNodeType in class DTMDefaultBase

### isCharacterElementContentWhitespace

    public boolean isCharacterElementContentWhitespace(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    isCharacterElementContentWhitespace in class DTMDefaultBase

### getFirstChild

    public int getFirstChild(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getFirstChild in class DTMDefaultBase

### getDocumentSystemIdentifier

    public java.lang.String getDocumentSystemIdentifier(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getDocumentSystemIdentifier in class DTMDefaultBase

### getNamespaceFromExpandedNameID

    public java.lang.String getNamespaceFromExpandedNameID(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getNamespaceFromExpandedNameID in class DTMDefaultBase

### getLocalNameFromExpandedNameID

    public java.lang.String getLocalNameFromExpandedNameID(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getLocalNameFromExpandedNameID in class DTMDefaultBase

### getExpandedTypeID

    public int getExpandedTypeID(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getExpandedTypeID in class DTMDefaultBase

### getDocument

    public int getDocument()

  Overrides:
    getDocument in class DTMDefaultBase

### isDocumentAllDeclarationsProcessed

    public boolean isDocumentAllDeclarationsProcessed(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    isDocumentAllDeclarationsProcessed in class DTMDefaultBase

### getOwnerDocument

    public int getOwnerDocument(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getOwnerDocument in class DTMDefaultBase

### getNextSibling

    public int getNextSibling(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getNextSibling in class DTMDefaultBase

### getDocumentAllDeclarationsProcessed

    public boolean getDocumentAllDeclarationsProcessed()

  Overrides:
    getDocumentAllDeclarationsProcessed in class DTMDefaultBase

### getParent

    public int getParent(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getParent in class DTMDefaultBase

### getExpandedTypeID

    public int getExpandedTypeID(java.lang.String parm1,
                                 java.lang.String parm2,
                                 int parm3)

  Parameters:
    `parm1` -
    `parm2` -
    `parm3` -
  Overrides:
    getExpandedTypeID in class DTMDefaultBase

### setDocumentBaseURI

    public void setDocumentBaseURI(java.lang.String parm1)

  Parameters:
    `parm1` -
  Overrides:
    setDocumentBaseURI in class DTMDefaultBase

### getStringValueChunk

    public char[] getStringValueChunk(int parm1,
                                      int parm2,
                                      int[] parm3)

  Parameters:
    `parm1` -
    `parm2` -
    `parm3` -
  Overrides:
    getStringValueChunk in class DTMDefaultBase

### getAxisTraverser

    public DTMAxisTraverser getAxisTraverser(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getAxisTraverser in class DTMDefaultBaseTraversers

### getTypedAxisIterator

    public DTMAxisIterator getTypedAxisIterator(int parm1,
                                                int parm2)

  Parameters:
    `parm1` -
    `parm2` -
  Overrides:
    getTypedAxisIterator in class DTMDefaultBaseIterators

### getAxisIterator

    public DTMAxisIterator getAxisIterator(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getAxisIterator in class DTMDefaultBaseIterators

### getElementById

    public int getElementById(java.lang.String parm1)

  Parameters:
    `parm1` -
  Overrides:
    getElementById in class DTMDefaultBase

### getDeclHandler

    public DeclHandler getDeclHandler()

### getErrorHandler

    public ErrorHandler getErrorHandler()

### getDocumentTypeDeclarationSystemIdentifier

    public java.lang.String getDocumentTypeDeclarationSystemIdentifier()

  Overrides:
    getDocumentTypeDeclarationSystemIdentifier in class DTMDefaultBase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.